Show / Hide Table of Contents

# Class ContextMenuAddressResolver

Address resolver for context menu functions.

##### Inheritance

System.Object
BaseAddressResolver
ContextMenuAddressResolver

##### Inherited Members

BaseAddressResolver.DebugScannedValues
BaseAddressResolver.IsResolved
BaseAddressResolver.Setup()
BaseAddressResolver.Setup(SigScanner)
BaseAddressResolver.GetVirtualFunction<T>(IntPtr, Int32, Int32)
BaseAddressResolver.Setup32Bit(SigScanner)
BaseAddressResolver.SetupInternal(SigScanner)
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Dalamud.Game.Gui.ContextMenus

###### Assembly: Dalamud.dll

##### Syntax

    public class ContextMenuAddressResolver : BaseAddressResolver

### Properties

| Improve this Doc View Source

#### ContextMenuItemSelectedPtr

Gets the ContextMenuItemSelected function address.

##### Declaration

    public IntPtr ContextMenuItemSelectedPtr { get; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### ContextMenuOpenedPtr

Gets the ContextMenuOpened function address.

##### Declaration

    public IntPtr ContextMenuOpenedPtr { get; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### ContextMenuOpeningPtr

Gets the ContextMenuOpening function address.

##### Declaration

    public IntPtr ContextMenuOpeningPtr { get; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### OpenSubContextMenuPtr

Gets the OpenSubContextMenu function address.

##### Declaration

    public IntPtr OpenSubContextMenuPtr { get; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### SubContextMenuOpenedPtr

Gets the SubContextMenuOpened function address.

##### Declaration

    public IntPtr SubContextMenuOpenedPtr { get; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### SubContextMenuOpeningPtr

Gets the SubContextMenuOpening function address.

##### Declaration

    public IntPtr SubContextMenuOpeningPtr { get; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

### Methods

| Improve this Doc View Source

#### Setup64Bit(SigScanner)

Setup the resolver by finding any necessary memory addresses.

##### Declaration

    protected override void Setup64Bit(SigScanner scanner)

##### Parameters

Type | Name | Description
--- | --- | ---
SigScanner | scanner | The SigScanner instance.

##### Overrides

BaseAddressResolver.Setup64Bit(SigScanner)